Poet::Script(3pm)

NAME
Poet::Script -- Intialize Poet for a script

SYNOPSIS
    # In a script...
    use Poet::Script qw($cache $conf $poet $log :file);

DESCRIPTION
This module is used to initialize Poet for a script. It does the following:

•   Determines the environment root by looking upwards from the directory of the current script until it finds the Poet marker file (".poet_root").

•   Reads and parses configuration files.

•   Shifts the "lib/" subdirectory of the environment root onto @INC.

•   Imports the specified quick vars and utility sets into the current package - see Poet::Import.

SEE ALSO
Poet

AUTHOR
Jonathan Swartz <swartz@pobox.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Jonathan Swartz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.